Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class MasterType.MasterControllerConfig

    java.lang.Object
      com.sun.mdm.index.parser.MasterType.MasterControllerConfig

Enclosing class:
  MasterType

class MasterType.MasterControllerConfig
extends java.lang.Object

Nested Class Summary
`(package private) class` | `MasterType.MasterControllerConfig.ExecuteMatch`

Field Summary
`(package private) MasterType.MasterControllerConfig.ExecuteMatch` | `executeMatch`
`(package private) java.lang.String` | `logicClass`
`(package private) java.lang.String` | `logicClassGui`
`(package private) java.lang.String` | `mergedRecordUpdate`
`(package private) java.lang.String` | `moduleName`
`(package private) java.lang.String` | `parserClass`
`(package private) java.lang.String` | `transaction`
`(package private) java.lang.String` | `updateMode`

Constructor Summary
`(package private)` | `MasterType.MasterControllerConfig()`

Method Summary
`java.lang.String` | `getLogicClass()`
`java.lang.String` | `getLogicClassGui()`
`java.lang.String` | `getMergedRecordUpdate()`
`java.lang.String` | `getModuleName()`
`java.lang.String` | `getParserClass()`
`java.lang.String` | `getTransaction()`
`java.lang.String` | `getUpdateMode()`
`void` | `setExecuteMatchQueryBuilderName(java.lang.String queryBuilderName)`
`void` | `setTransaction(java.lang.String transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### executeMatch

    MasterType.MasterControllerConfig.ExecuteMatch executeMatch

### logicClass

    java.lang.String logicClass

### logicClassGui

    java.lang.String logicClassGui

### mergedRecordUpdate

    java.lang.String mergedRecordUpdate

### moduleName

    java.lang.String moduleName

### parserClass

    java.lang.String parserClass

### transaction

    java.lang.String transaction

### updateMode

    java.lang.String updateMode

Constructor Detail

### MasterType.MasterControllerConfig

    MasterType.MasterControllerConfig()

Method Detail

### getLogicClass

    public java.lang.String getLogicClass()

### getLogicClassGui

    public java.lang.String getLogicClassGui()

### getMergedRecordUpdate

    public java.lang.String getMergedRecordUpdate()

### getModuleName

    public java.lang.String getModuleName()

### getParserClass

    public java.lang.String getParserClass()

### getTransaction

    public java.lang.String getTransaction()

### getUpdateMode

    public java.lang.String getUpdateMode()

### setExecuteMatchQueryBuilderName

    public void setExecuteMatchQueryBuilderName(java.lang.String queryBuilderName)

### setTransaction

    public void setTransaction(java.lang.String transaction)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.